<div class="header bg-gradient-danger pb-8 pt-5 pt-md-8">
  <div class="container-fluid">
    <div class="header-body">
      <!-- Card stats -->
      <div class="row">
        <div class="col-xl-3 col-lg-6">
          <div class="card card-stats mb-4 mb-xl-0">
            <div class="card-body">
              <div class="row">
                <div class="col">
                  <h5 class="card-title text-uppercase text-muted mb-0">Total Investment</h5>
                  <span class="h2 font-weight-bold mb-0">{{totalInvestment |currency:"INR":"symbol"}}</span>
                </div>
                <div class="col-auto">
                  <div class="icon icon-shape bg-danger text-white rounded-circle shadow">
                    <i class="fas fa-chart-bar"></i>
                  </div>
                </div>
              </div>

            </div>
          </div>
        </div>
        <div class="col-xl-3 col-lg-6">
          <div class="card card-stats mb-4 mb-xl-0">
            <div class="card-body">
              <div class="row">
                <div class="col">
                  <h5 class="card-title text-uppercase text-muted mb-0">Total Interest</h5>
                  <span class="h2 font-weight-bold mb-0">{{totalInterest |currency:"INR":"symbol"}}</span>
                </div>
                <div class="col-auto">
                  <div class="icon icon-shape bg-warning text-white rounded-circle shadow">
                    <i class="fas fa-chart-pie"></i>
                  </div>
                </div>
              </div>

            </div>
          </div>
        </div>
        <div class="col-xl-3 col-lg-6">
          <div class="card card-stats mb-4 mb-xl-0">
            <div class="card-body">
              <div class="row">
                <div class="col">
                  <h5 class="card-title text-uppercase text-muted mb-0">Total Transection</h5>
                  <span class="h2 font-weight-bold mb-0">{{totalTransetionNum}}</span>
                </div>
                <div class="col-auto">
                  <div class="icon icon-shape bg-yellow text-white rounded-circle shadow">
                    <i class="fas fa-users"></i>
                  </div>
                </div>
              </div>

            </div>
          </div>
        </div>
        <div class="col-xl-3 col-lg-6">
          <div class="card card-stats mb-4 mb-xl-0">
            <div class="card-body">
              <div class="row">
                <div class="col">
                  <div class="row">
                    <div class="col-sm-12 col-lg-12">
                      <button class="btn btn-danger mt-2" data-toggle="modal" data-target="#staticBackdrop">Invest
                        Now</button>
                      <a class="btn btn-danger mt-2" [routerLink]="['/withdrawal']"
                        routerLinkActive="router-link-active">Withdrawal</a>
                    </div>

                  </div>


                </div>
              </div>

            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="container-fluid mt--7">

  <div class="row mt-5 mb-5">
    <div class="col-12 mb-xl-0">
      <div class="card shadow">
        <div class="card-header border-0">
          <div class="row align-items-center">
            <div class="col">
              <h3 class="mb-0">Recent Projects</h3>
            </div>
          </div>
        </div>
        <div class="card-body">
          <div class="row" *ngIf="projects; else ifnullProject">
            <div class="col-md-6 col-lg-4 col-sm-12" *ngFor="let project of projects">
              <div class="card" style="width: 18rem;">
                <img src="{{ project['thumbnail'] }}" style="width: 100%;height: 200px;" class="card-img-top" alt="...">
                <div class="card-body">
                  <h5 class="card-title">{{ project['title'] }}</h5>
                  <p class="text-center"><strong>Fund Raised: </strong>₹ {{ project['amount']+"/"+
                    project['target_amount']}}</p>
                  <p class="text-center"><strong>Interest Rate: </strong>{{ project['interest_rate'] }}% / Monthly</p>
                  <p class="text-center"> <a class="btn btn-primary" [routerLink]="['/project-detail/'+project['project_id']]"
                      routerLinkActive="router-link-active">View Details</a></p>
                </div>
              </div>
            </div>
          </div>
          <ng-template #ifnullProject>
            <div class="container">
              <h2 class="alert alert-danger">No Project Available</h2>
            </div>
          </ng-template>

        </div>

      </div>
    </div>
    <div class="col-12 mb-xl-0 mt-5">
      <div class="card shadow">
        <div class="card-header border-0">
          <div class="row align-items-center">
            <div class="col">
              <h3 class="mb-0">Recent Payments</h3>
            </div>
            <div class="col text-right">
              <a [routerLink]="['/payment-history']" routerLinkActive="router-link-active"
                class="btn btn-sm btn-primary">See all</a>
            </div>
          </div>
        </div>
        <div class="table-responsive">
          <!-- Projects table -->
          <table class="table align-items-center table-flush">
            <thead class="thead-light">
              <tr>
                <th scope="col">Sr. No.</th>
                <th scope="col">Payment Id</th>
                <th scope="col">Amount</th>
                <th scope="col">Date</th>
              </tr>
            </thead>
            <tbody *ngIf="resultRecord == 0;else elseBlock">
              <tr>
                <td></td>
                <td>No Payment Found</td>
                <td></td>
              </tr>
            </tbody>
            <ng-template #elseBlock>
              <tbody *ngFor="let payment of totalPayments">
                <tr>
                  <td>{{payment.id}}</td>
                  <td>{{payment.payment_id}}</td>
                  <td>
                    {{payment.amount|currency:"INR":"symbol"}}
                  </td>
                  <td>{{payment.date}}</td>
                </tr>
              </tbody>
            </ng-template>
          </table>
        </div>
      </div>
    </div>

    <div class="col-12 mt-5">
      <div class="card shadow">
        <div class="card-header border-0">
          <div class="row align-items-center">
            <div class="col">
              <h3 class="mb-0">Last Withdrawal Request</h3>
            </div>
            <div class="col text-right">
              <a [routerLink]="['/withdrawal']" class="btn btn-sm btn-primary">See all</a>
            </div>
          </div>
        </div>
        <div class="table-responsive">
          <!-- Projects table -->
          <table class="table align-items-center table-flush">
            <thead class="thead-light">
              <tr>
                <th scope="col">Sr. No.</th>
                <th scope="col">Bank Name</th>
                <th scope="col">Amount</th>
                <th scope="col">Status</th>
                <th scope="col">Request Date</th>
              </tr>
            </thead>
            <tbody *ngIf="withdrawalRequestRecord == 0;else elseWithdrawl">
              <tr>
                <td></td>
                <td>No Bank Record Found</td>
              </tr>
            </tbody>
            <ng-template #elseWithdrawl>
              <tbody *ngFor="let request of withdrawalRequestData">
                <tr>
                  <td>{{request.index}}</td>
                  <td>{{request.bank_name}}</td>
                  <td>{{request.amount}}</td>
                  <td>{{request.request_progress}}</td>
                  <td>
                    {{request.request_date}}
                  </td>
                </tr>
              </tbody>
            </ng-template>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Button trigger modal -->


<!-- Modal -->
<div class="modal fade" id="staticBackdrop" data-backdrop="static" data-keyboard="false" tabindex="-1"
  aria-labelledby="staticBackdropLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="staticBackdropLabel">Invest Now</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="container text-center">
          <span class="text-danger" *ngIf="isDisable">{{amountError}}</span>

        </div>
        <div class="form-group">
          <label for="amount">Amount</label>
          <input type="number" (input)="GetAmountValue($event)" class="form-control" id="amount" min="5000"
            value="5000">
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" (click)="PayBtn()" class="btn btn-primary" [disabled]='isDisable'>Invest Now</button>
      </div>
    </div>
  </div>
</div>